# common settings
COMPOSE_PROJECT_NAME=strprfcrm
COMPOSE_PROFILES=local

# Set external ports
APP_ADDR=http://127.0.0.1
WEB_PORT=8090
# external port of DB for connect by other soft
DB_EXT_PORT=3306
WS_PORT=3090
WS_ADDR=/ws
WS_DEBUG_PORT=9229
MINIO_DEBUG_PORT=39757

APP_NAME="Stroyprofit CRM"
APP_ENV=local
APP_KEY=base64:nIrpAXvd/2pEWdtUMQXuf6xdF1C+p7e6bErjt1hMIMk=
APP_DEBUG=true
APP_URL=${APP_ADDR}:${WEB_PORT}
APP_LOCALE=ru
APP_TIMEZONE=Europe/Moscow

LOG_CHANNEL=stack
LOG_DEPRECATIONS_CHANNEL=null
LOG_LEVEL=debug

DB_CONNECTION=mysql
DB_HOST=db
DB_PORT=3306
DB_DATABASE=crm
DB_USERNAME=dbuser
DB_PASSWORD=password

BROADCAST_DRIVER=redis
CACHE_DRIVER=redis
FILESYSTEM_DISK=local
QUEUE_CONNECTION=redis
SESSION_DRIVER=file
SESSION_LIFETIME=120

REDIS_CLIENT=predis
REDIS_HOST=redis
REDIS_PASSWORD=sOmE_sEcUrE_pAsS
REDIS_PORT=6379

JWT_SECRET=c05c4346dc03362dabbf94c18a1befe78e9b301837f3163e43a57201d9cc09cb

# Default pagination limit
PAGINATION_LIMIT=2000
